Bug 1343764 - dnf reinstall deletes yumdb entry
dnf reinstall deletes yumdb entry
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
Unspecified Linux
high Severity high
: ---
: ---
Assigned To: Štěpán Smetana
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-07 17:16 EDT by Benjamin Xiao
Modified: 2016-08-27 06:22 EDT (History)
9 users (show)

See Also:
Fixed In Version: dnf-1.1.10-1.fc24 dnf-1.1.10-1.fc23 dnf-1.1.10-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-19 15:52:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Xiao 2016-06-07 17:16:17 EDT
Description of problem:
Doing a dnf reinstall on a package deletes associated yumdb entry in /var/lib/dnf/yumdb. This also has the side effect of deleting its reason file, which prevents dependency packages that have been reinstalled from being autoremoved.

Version-Release number of selected component (if applicable):
1.1.9

How reproducible:
Every time

Steps to Reproduce:
1. dnf install ghex. This will install ghex and ghex-libs
2. Notice that there are entries in /var/lib/dnf/yumdb/g for ghex and ghex-libs
3. Do dnf reinstall ghex-libs. Notice that ghex-libs no longer appears in /var/lib/dnf/yumdb/g
4. Do dnf remove ghex. Notice that ghex-libs isn't autoremoved

Actual results:
dnf reinstall deletes yumdb entries of any reinstalled packages and deletes reason file, preventing autoremove from working properly.


Expected results:
dnf reinstall keeps yumdb entry intact
Comment 1 Benjamin Xiao 2016-06-22 15:01:22 EDT
Still present on Fedora 24.

Before dnf reinstall ghex:

$ ls /var/lib/dnf/yumdb/g | grep ghex
74f03c526daa159f5af485e76dd0731ac2d3894b-ghex-libs-3.18.1-1.fc24-x86_64
ecddc226d3eea7fcca991299163410bdf0304748-ghex-3.18.1-1.fc24-x86_64

After dnf reinstall ghex:
$ ls /var/lib/dnf/yumdb/g | grep ghex
74f03c526daa159f5af485e76dd0731ac2d3894b-ghex-libs-3.18.1-1.fc24-x86_64
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:33:12 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Štěpán Smetana 2016-07-28 03:37:02 EDT
PR was created: https://github.com/rpm-software-management/dnf/pull/538
Comment 4 Benjamin Xiao 2016-08-02 20:25:10 EDT
I am curious as to how this PR is relevant to this bug. Why would changing last to --last fix the issue of dnf deleting yumdb entries when calling "dnf reinstall <package>"?
Comment 6 Benjamin Xiao 2016-08-03 03:47:57 EDT
Fantastic! Thanks for the fix. I am glad to see all these DNF issues being resolved.
Comment 7 Fedora Update System 2016-08-18 11:19:51 EDT
dnf-1.1.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-267f843cda
Comment 8 Fedora Update System 2016-08-18 11:20:59 EDT
dnf-1.1.10-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8caa619a9e
Comment 9 Fedora Update System 2016-08-18 11:21:59 EDT
dnf-1.1.10-1.fc24 dnf-plugins-core-0.1.21-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-878284e0d3
Comment 10 Fedora Update System 2016-08-18 12:53:11 EDT
dnf-1.1.10-1.fc25, dnf-plugins-core-0.1.21-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8caa619a9e
Comment 11 Fedora Update System 2016-08-18 20:22:55 EDT
dnf-1.1.10-1.fc23, dnf-plugins-core-0.1.21-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-267f843cda
Comment 12 Fedora Update System 2016-08-18 20:58:05 EDT
dnf-1.1.10-1.fc24, dnf-plugins-core-0.1.21-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-878284e0d3
Comment 13 Fedora Update System 2016-08-19 15:51:00 EDT
dnf-1.1.10-1.fc24, dnf-plugins-core-0.1.21-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-08-23 11:20:08 EDT
dnf-1.1.10-1.fc23, dnf-plugins-core-0.1.21-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-08-27 06:21:11 EDT
dnf-1.1.10-1.fc25, dnf-plugins-core-0.1.21-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.